#ifndef EngineUtils_h
#define EngineUtils_h

//#import <React/RCTEventEmitter.h>
#import <React/RCTBridge.h>
#import <UIKit/UIKit.h>

@class MatWrapper;

@interface EngineUtils : NSObject

+ (NSString*)loadBundleResource:(NSString*)filename extension:(NSString*)extension;

+ (UIImage*)normalizeImage:(UIImage*)image;

+ (void)matToImage:(MatWrapper*)inputMat outPath:(NSString*)outPath resolver:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject;

+ (void)imageToMat:(NSString*)inPath resolver:(RCTPromiseResolveBlock)resolve rejecter:(RCTPromiseRejectBlock)reject;

+ (BOOL)isBase64:(NSString*)base64String;

@end
#endif /* EngineUtils_h */
